from django.contrib import admin
from django.urls import include, path
from games import views as games_views
from games.api.views import (
    GameViewSet,
    PublisherViewSet,
    DeveloperViewSet,
    GameSystemViewSet,
)
from rest_framework import routers

router = routers.DefaultRouter()
router.register(r"games", GameViewSet)
router.register(r"publishers", PublisherViewSet)
router.register(r"developers", DeveloperViewSet)
router.register(r"game-systems", GameSystemViewSet)

urlpatterns = [
    path("admin/", admin.site.urls),
    path("api-auth/", include("rest_framework.urls")),
    path("api/v1/", include(router.urls)),
    path("", games_views.GameList.as_view()),
]
