from rest_framework import serializers

from games.models import Developer, Game, GameSystem, Publisher

# Serializers define the API representation.
class GameSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = Game
        fields = (
            "id",
            "name",
            "publisher",
            "developer",
            "players",
            "rating",
            "game_system",
        )


class DeveloperSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = Developer
        fields = ("name",)


class PublisherSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = Publisher
        fields = ("name",)


class GameSystemSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = GameSystem
        fields = ("name", "retropie_slug")
